program F4SGE;

{$R 'Resource.res' 'Resource.rc'}

uses
  Windows,
  Forms,
  uMain in 'Forms\uMain.pas' {fMain},
  VTAccessibilityFactory in 'Units\VTAccessibilityFactory.pas',
  uHelper in 'Units\uHelper.pas',
  uFOSFile in 'Units\uFOSFile.pas',
  VirtualTrees in 'Units\VirtualTrees.pas',
  VistaProgressBar in 'Units\VistaProgressBar.pas',
  GlassButton in 'Units\GlassButton.pas',
  XPMenu in 'Units\XPMenu.pas',
  HexEdit in 'Units\HexEdit.pas',
  uFormIDArray in 'Forms\uFormIDArray.pas' {fAddFormIDArray},
  uAddForm in 'Forms\uAddForm.pas' {fAddForm};

{$R *.res}

{$WARN SYMBOL_PLATFORM OFF}

begin
  ReportMemoryLeaksOnShutdown := DebugHook <> 0;
  Application.Initialize;
  if IsVista then
    SetWindowLong(Application.Handle, GWL_EXSTYLE, GetWindowLong(Application.Handle, GWL_EXSTYLE) or WS_EX_TOOLWINDOW and not WS_EX_APPWINDOW);
  Application.ModalPopupMode := pmAuto;
  Application.CreateForm(TfMain, fMain);
  Application.Run;
end.
